def add_contact(data):
    name = input('Введите имя и фамилию контакта: ').split()
    name = tuple(elmt.lower().capitalize() for elmt in name)
    tel = int(input('Введите номер телефона: '))
    for key in data:
        if key == name:
            print('Такой контакт уже существует.')
    else:
        data[name] = tel


def search(data):
    check = False
    surname = input('Введите фамилию для поиска по контактам: ').lower().capitalize()
    for ns, t in data.items():
        if (surname == ns[1]) or (surname + 'а' == ns[1]) or (surname[:-1] == ns[1]):
            print('{0}: {1}'.format(ns, t))
            check = True
    if not check:
        print('Контактов с такой фамилией не существует.')


contacts = {}

while True:
    menu = input('\tМеню:\nДобавить контакт(1)\nПоиск(2)\nВыход(3)\n')
    if menu == '1':
        add_contact(contacts)
        print(contacts)
    elif menu == '2':
        search(contacts)
    elif menu == '3':
        break
    else:
        print('Ошибка ввода команды.')

# TODO: Поиск по фамилии работать должен также как и в 5 задании, т.е. искать все фамилии, женские в том числе:
"""
	Меню:
Добавить контакт(1)
Поиск(2)
Выход(3)
1
Введите имя и фамилию контакта: Никита Иванов
Введите номер телефона: 23432
{('Никита', 'Иванов'): 23432}
	Меню:
Добавить контакт(1)
Поиск(2)
Выход(3)
1
Введите имя и фамилию контакта: Аня Иванова
Введите номер телефона: 2379
{('Никита', 'Иванов'): 23432, ('Аня', 'Иванова'): 2379}
	Меню:
Добавить контакт(1)
Поиск(2)
Выход(3)
2
Введите фамилию для поиска по контактам: иванов
('Никита', 'Иванов'): 23432
	Меню:
Добавить контакт(1)
Поиск(2)
Выход(3)
"""
